var ChangeMode = (function(){
  function changeMode(){
    let isNightMode = localStorage.getItem('nightMode') === 'true';
    var body = document.querySelector('body');
    if(isNightMode){
      body.setAttribute('class', '');
      localStorage.setItem('nightMode', "false");
    }else{
      body.setAttribute('class', 'night-mode');
      localStorage.setItem('nightMode', "true");
    }
  }

  function setMode(){
    let isNightMode = localStorage.getItem('nightMode') === 'true';
    var body = document.querySelector('body');
    if(!isNightMode){
      body.setAttribute('class', '');
    }else{
      body.setAttribute('class', 'night-mode');
    }
  }

  function isNightMode(){
    return localStorage.getItem('nightMode') === 'true'
  }
  return {
    changeMode: changeMode,
    isNightMode: isNightMode,
    setMode: setMode
  }
})()